PROMETHEUS-PUSHGATEWAY(1)

NAME
prometheus-pushgateway - Prometheus gateway for push metrics

SYNOPSIS

prometheus-pushgateway [<flags>]

DESCRIPTION
The Pushgateway

OPTIONS

-h, --help
    Show context-sensitive help (also try --help-long and --help-man).

--web.systemd-socket
    Use systemd socket activation listeners instead of port listeners (Linux only).

--web.listen-address=:9091
    Addresses on which to expose metrics and web interface. Repeatable for multiple addresses. Examples: `:9100` or `[::1]:9100` for http, `vsock://:9100` for vsock

--web.config.file
    Path to configuration file that can enable TLS or authentication. See: https://github.com/prometheus/exporter-toolkit/blob/master/docs/web-configuration.md

--web.local-assets
    Path to static assets/templates directory.

--web.telemetry-path
    Path under which to expose metrics.

--web.external-url=
    The URL under which the Pushgateway is externally reachable.

--web.route-prefix
    Prefix for the internal routes of web endpoints. Defaults to the path of --web.external-url.

--web.enable-lifecycle
    Enable shutdown via HTTP request.

--web.enable-admin-api
    Enable API endpoints for admin control actions.

--persistence.file
    File to persist metrics. If empty, metrics are only kept in memory.

--persistence.interval=5m
    The minimum interval at which to write out the persistence file.

--push.disable-consistency-check
    Do not check consistency of pushed metrics. DANGEROUS.

--push.enable-utf8-names
    Allow UTF-8 characters in metric and label names.

--log.level=info
    Only log messages with the given severity or above. One of: [debug, info, warn, error]

--log.format=logfmt
    Output format of log messages. One of: [logfmt, json]

--version
    Show application version.